Businesses
Get a business
Retrieve a business by ID
GET
/
v1
/
businesses
/
{id}
Get a business
curl --request GET \
--url https://api.slant.app/v1/businesses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/businesses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"book_id": "book123xyz",
"name": "Acme Corp",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"industry": "Technology",
"website_url": "https://acme.com",
"tax_id": "12-3456789",
"additional_info": "<string>",
"email_addresses": [
{
"email": "john.doe@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true,
"extension": "1234"
}
],
"addresses": [
{
"address_type": "home",
"is_primary": true,
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US"
}
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Path Parameters
The business ID
Response
successful
The business ID
Example:
"abc123xyz"
The book ID
Example:
"book123xyz"
Business name
Example:
"Acme Corp"
When the business was created
When the business was last updated
Industry
Example:
"Technology"
Website URL
Example:
"https://acme.com"
Tax ID
Example:
"12-3456789"
Additional information
Array of email addresses
Show child attributes
Show child attributes
Array of phone numbers
Show child attributes
Show child attributes
Array of addresses
Show child attributes
Show child attributes
Array of tags
Show child attributes
Show child attributes
⌘I
Get a business
